Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"sessionId": "<string>",
"transactionId": "<string>",
"customer": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"contacts": [
{
"email": "<string>",
"phone": "<string>"
}
]
},
"salesPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseQuantity": 123,
"purchasePrice": "<string>",
"transactionAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"terminalId": "<string>",
"posLocationId": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>",
"manufacturer": "<string>",
"productCategory": "<string>",
"quantity": 123
}
],
"loyalty": {
"cardNumber": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
sessionId: '<string>',
transactionId: '<string>',
customer: {
id: '<string>',
firstName: '<string>',
lastName: '<string>',
birthDate: '2023-11-07T05:31:56Z',
contacts: [{email: '<string>', phone: '<string>'}]
},
salesPerson: {id: '<string>', firstName: '<string>', lastName: '<string>'},
purchaseName: '<string>',
purchaseId: '<string>',
purchaseQuantity: 123,
purchasePrice: '<string>',
transactionAmount: 123,
transactionDate: '2023-11-07T05:31:56Z',
terminalId: '<string>',
posLocationId: '<string>',
products: [
{
productId: '<string>',
productName: '<string>',
manufacturer: '<string>',
productCategory: '<string>',
quantity: 123
}
],
loyalty: {cardNumber: '<string>'}
})
};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/transaction"
payload = {
"sessionId": "<string>",
"transactionId": "<string>",
"customer": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"contacts": [
{
"email": "<string>",
"phone": "<string>"
}
]
},
"salesPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseQuantity": 123,
"purchasePrice": "<string>",
"transactionAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"terminalId": "<string>",
"posLocationId": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>",
"manufacturer": "<string>",
"productCategory": "<string>",
"quantity": 123
}
],
"loyalty": { "cardNumber": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/transaction"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}")
.asString();{
"data": {
"id": "<string>",
"qrCodeWidget": {
"shortLinkUrl": "<string>",
"qrCode": {
"htmlLinkUrl": "<string>",
"previewHtmlLinkUrl": "<string>"
},
"notificationMessageId": "<string>",
"profile": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"salesPerson": "<string>",
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseCategory": "<string>",
"purchasePrice": "<string>",
"gender": "<string>"
},
"sessionId": "<string>"
},
"cfsTemplate": {
"accountTemplateId": 123,
"cfsCarouselUrl": "<string>"
},
"loyalty": {
"awardDescription": "<string>",
"qrCode": {
"linkUrl": "<string>",
"qrCodeLinkUrl": "<string>",
"primaryText": "<string>",
"secondaryText": "<string>"
}
}
}
}curl --request POST \
--url https://public-api-demo.clearline.me/pos/{posSystemId}/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"sessionId": "<string>",
"transactionId": "<string>",
"customer": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"contacts": [
{
"email": "<string>",
"phone": "<string>"
}
]
},
"salesPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseQuantity": 123,
"purchasePrice": "<string>",
"transactionAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"terminalId": "<string>",
"posLocationId": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>",
"manufacturer": "<string>",
"productCategory": "<string>",
"quantity": 123
}
],
"loyalty": {
"cardNumber": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
sessionId: '<string>',
transactionId: '<string>',
customer: {
id: '<string>',
firstName: '<string>',
lastName: '<string>',
birthDate: '2023-11-07T05:31:56Z',
contacts: [{email: '<string>', phone: '<string>'}]
},
salesPerson: {id: '<string>', firstName: '<string>', lastName: '<string>'},
purchaseName: '<string>',
purchaseId: '<string>',
purchaseQuantity: 123,
purchasePrice: '<string>',
transactionAmount: 123,
transactionDate: '2023-11-07T05:31:56Z',
terminalId: '<string>',
posLocationId: '<string>',
products: [
{
productId: '<string>',
productName: '<string>',
manufacturer: '<string>',
productCategory: '<string>',
quantity: 123
}
],
loyalty: {cardNumber: '<string>'}
})
};
fetch('https://public-api-demo.clearline.me/pos/{posSystemId}/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public-api-demo.clearline.me/pos/{posSystemId}/transaction"
payload = {
"sessionId": "<string>",
"transactionId": "<string>",
"customer": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"birthDate": "2023-11-07T05:31:56Z",
"contacts": [
{
"email": "<string>",
"phone": "<string>"
}
]
},
"salesPerson": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseQuantity": 123,
"purchasePrice": "<string>",
"transactionAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"terminalId": "<string>",
"posLocationId": "<string>",
"products": [
{
"productId": "<string>",
"productName": "<string>",
"manufacturer": "<string>",
"productCategory": "<string>",
"quantity": 123
}
],
"loyalty": { "cardNumber": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://public-api-demo.clearline.me/pos/{posSystemId}/transaction"
payload := strings.NewReader("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://public-api-demo.clearline.me/pos/{posSystemId}/transaction")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"sessionId\": \"<string>\",\n \"transactionId\": \"<string>\",\n \"customer\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"birthDate\": \"2023-11-07T05:31:56Z\",\n \"contacts\": [\n {\n \"email\": \"<string>\",\n \"phone\": \"<string>\"\n }\n ]\n },\n \"salesPerson\": {\n \"id\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\"\n },\n \"purchaseName\": \"<string>\",\n \"purchaseId\": \"<string>\",\n \"purchaseQuantity\": 123,\n \"purchasePrice\": \"<string>\",\n \"transactionAmount\": 123,\n \"transactionDate\": \"2023-11-07T05:31:56Z\",\n \"terminalId\": \"<string>\",\n \"posLocationId\": \"<string>\",\n \"products\": [\n {\n \"productId\": \"<string>\",\n \"productName\": \"<string>\",\n \"manufacturer\": \"<string>\",\n \"productCategory\": \"<string>\",\n \"quantity\": 123\n }\n ],\n \"loyalty\": {\n \"cardNumber\": \"<string>\"\n }\n}")
.asString();{
"data": {
"id": "<string>",
"qrCodeWidget": {
"shortLinkUrl": "<string>",
"qrCode": {
"htmlLinkUrl": "<string>",
"previewHtmlLinkUrl": "<string>"
},
"notificationMessageId": "<string>",
"profile": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"salesPerson": "<string>",
"purchaseName": "<string>",
"purchaseId": "<string>",
"purchaseCategory": "<string>",
"purchasePrice": "<string>",
"gender": "<string>"
},
"sessionId": "<string>"
},
"cfsTemplate": {
"accountTemplateId": 123,
"cfsCarouselUrl": "<string>"
},
"loyalty": {
"awardDescription": "<string>",
"qrCode": {
"linkUrl": "<string>",
"qrCodeLinkUrl": "<string>",
"primaryText": "<string>",
"secondaryText": "<string>"
}
}
}
}JWT Authorization header using the Bearer scheme.
Enter JWT Bearer token only in the text input below.
New Pos terminal transaction request
Session identifier
1Transaction identifier
1POS system transaction customer data
Show child attributes
POS system transaction sales person data
Show child attributes
Customer purchase
Customer purchase identifier
Customer purchase quantity
Customer purchase price
POS transaction types
Undefined, Sale Transaction amount
Transaction date time
Terminal identifier
Location POS identifier
Transaction products
Show child attributes
Transaction LoaltyProgram details
Show child attributes
Success
New Pos terminal transaction response
Show child attributes